using System;
using Siger.Middlelayer.Utility.ExcelImport;


namespace Siger.Middlelayer.Utility.ImportEntities
{

    public class ProjectToollifeExpectionReportEntity:ImportBase
    {
       
        /// <summary>
		/// datetime
		/// </summary>
		[ExcelColumn("日期")]		
        public int Datetime { get; set; }
        /// <summary>
		/// changer
		/// </summary>
		[ExcelColumn("换刀人")]		
        public int Changer { get; set; }
        /// <summary>
		/// blank_code
		/// </summary>
		[ExcelColumn("毛坯批号")]		
        public string BlankCode { get; set; }
        /// <summary>
		/// jig_location
		/// </summary>
		[ExcelColumn("夹具位置")]		
        public string JigLocation { get; set; }
        /// <summary>
		/// coolant_temperature
		/// </summary>
		[ExcelColumn("冷却液温度")]		
        public string CoolantTemperature { get; set; }
        /// <summary>
		/// defect_location
		/// </summary>
		[ExcelColumn("缺陷位置")]		
        public string DefectLocation { get; set; }
        /// <summary>
		/// reason
		/// </summary>
		[ExcelColumn("可能原因")]		
        public string Reason { get; set; }
        /// <summary>
		/// shift
		/// </summary>
		[ExcelColumn("班次")]		
        public string Shift { get; set; }
        /// <summary>
		/// product_model
		/// </summary>
		[ExcelColumn("产品型号")]		
        public string ProductModel { get; set; }
        /// <summary>
		/// machine_id
		/// </summary>
		[ExcelColumn("设备id")]		
        public int MachineId { get; set; }
        /// <summary>
		/// coolant_concentration
		/// </summary>
		[ExcelColumn("冷却液浓度")]		
        public string CoolantConcentration { get; set; }
        /// <summary>
		/// tool_number
		/// </summary>
		[ExcelColumn("刀具号")]		
        public string ToolNumber { get; set; }
        /// <summary>
		/// toollife_rest
		/// </summary>
		[ExcelColumn("刀具剩余寿命")]		
        public string ToollifeRest { get; set; }
        /// <summary>
		/// standard_size
		/// </summary>
		[ExcelColumn("标准尺寸")]		
        public string StandardSize { get; set; }
        /// <summary>
		/// other_question
		/// </summary>
		[ExcelColumn("其他问题")]		
        public string OtherQuestion { get; set; }
        /// <summary>
		/// production_batch_number
		/// </summary>
		[ExcelColumn("生产批号")]		
        public string ProductionBatchNumber { get; set; }
        /// <summary>
		/// jig_tower
		/// </summary>
		[ExcelColumn("夹具塔号")]		
        public string JigTower { get; set; }
        /// <summary>
		/// coolant_pressure
		/// </summary>
		[ExcelColumn("冷却液压力")]		
        public string CoolantPressure { get; set; }
        /// <summary>
		/// tool_location
		/// </summary>
		[ExcelColumn("刀位主轴编号")]		
        public string ToolLocation { get; set; }
        /// <summary>
		/// detective_parts_count
		/// </summary>
		[ExcelColumn("缺陷零件数")]		
        public string DetectivePartsCount { get; set; }
        /// <summary>
		/// actual_size
		/// </summary>
		[ExcelColumn("实际尺寸")]		
        public string ActualSize { get; set; }
        /// <summary>
		/// tool_batch_number
		/// </summary>
		[ExcelColumn("刀具批次")]		
        public string ToolBatchNumber { get; set; }
        /// <summary>
		/// repair_mold_count
		/// </summary>
		[ExcelColumn("修模次数")]		
        public string RepairMoldCount { get; set; }
        /// <summary>
		/// dynamic_balance_result
		/// </summary>
		[ExcelColumn("动平衡结果")]		
        public string DynamicBalanceResult { get; set; }
        /// <summary>
		/// technical_reason
		/// </summary>
		[ExcelColumn("技术员原因")]		
        public string TechnicalReason { get; set; }
        /// <summary>
		/// measured_size
		/// </summary>
		[ExcelColumn("实测尺寸")]		
        public string MeasuredSize { get; set; }
       
    }

}
